Package org.eclipse.net4j.util.security

# Interface IUserManagement

All Superinterfaces:
  `AdministrationPredicate`

All Known Subinterfaces:
  `IUserManagement.Attributed`

public interface IUserManagement extends AdministrationPredicate

Since:
  3.23
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IUserManagement.Attributed`

## Method Summary

Modifier and Type
Method
Description
`void`
`addUser(String userID, char[] password)`
`void`
`removeUser(String userID)`
`void`
`setAdministrator(String userID, boolean administrator)`
`void`
`setPassword(String userID, char[] newPassword)`

### Methods inherited from interface org.eclipse.net4j.util.security.AdministrationPredicate

`isAdministrator`

## Method Details

### addUser

void addUser(String userID, char[] password)

### removeUser

void removeUser(String userID)

### setPassword

void setPassword(String userID, char[] newPassword)

### setAdministrator

void setAdministrator(String userID, boolean administrator)